<div class="text-center" *ngIf="isLogged; else loggedOut">
    <h2>Ya has iniciado sesión</h2>
</div>

<ng-template #loggedOut>
    <div class="container d-flex justify-content-center">
        <div class="card">
            <div class="card-header">
                <ul class="nav nav-tabs">
                    <li class="nav-item">
                        <a class="nav-link active" routerLink="/login">Iniciar sesión</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" routerLink="/register">Crear usuario</a>
                    </li>

                </ul>
            </div>
            <div class="card-body">
                <form #f="ngForm" (ngSubmit)="onLogin()" novalidate>
                    <div class="form-group">
                        <label for="userName">Nombre de Usuario</label>
                        <input type="text" name="userName" id="userName" class="form-control" [(ngModel)]="userName"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="password">Contraseña</label>
                        <input type="password" name="password" id="password" class="form-control" [(ngModel)]="password"
                            required>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-outline-success btn-block" [disabled]="!f.valid">
                            <i class="fas fa-sign-in-alt"></i> Iniciar Sesión</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</ng-template>